Skip to main content
GET
/
api
/
v1
/
batches
/
{batchId}
/
results
Fetch
const response = await fetch("https://api.trigger.dev/api/v1/batches/batch_1234/results", {
  headers: {
    "Authorization": `Bearer ${process.env.TRIGGER_SECRET_KEY}`,
  },
});
const results = await response.json();
{
  "id": "<string>",
  "items": [
    {
      "ok": true,
      "id": "<string>",
      "output": "<string>",
      "outputType": "<string>",
      "error": {},
      "usage": {
        "durationMs": 123
      },
      "taskIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.

You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.

Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.

import { configure } from "@trigger.dev/sdk";

configure({ accessToken: "tr_dev_1234" });

Path Parameters

batchId
string
required

The ID of the batch, starts with batch_.

Response

Successful request

id
string

The batch ID.

items
object[]

Execution results for each run in the batch.